Bug 63099 - evolution does not configure or get mail with wu imap
Summary: evolution does not configure or get mail with wu imap
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: evolution (Show other bugs)
(Show other bugs)
Version: skipjack-beta2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-10 01:02 UTC by Leigh L. Klotz, Jr.
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-10 02:37:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leigh L. Klotz, Jr. 2002-04-10 01:02:19 UTC
Description of Problem:
I try running evolution.  It pops up a dialog box that says 
"Could not get inbox for new mail store:
 You didn't enter a password.
 No shortcut will be created.
 OK".

No amount of cajoling will cause it to get mail, though I can view 
the "subscribed" folders list and see that Inbox is a subscribed folder, as are 
other folders.

Version-Release number of selected component (if applicable):
evolution-1.0.3-2
imap server (on a separate RedHat 7.2 machine) imap-2000c-15
Inbox is /var/spool/mail/klotz.  Mail folders are in ~/Mail/ 


How Reproducible:
First time, every time.

Steps to Reproduce:
1. rm -rf ~/evolution; evolution; fill out wizard as below:
2. server-type imap; 
3. host othermachine; check for supported types; remember password; authtype 
password; (doesn't ask for password); 
4. check for new messages in all folders; show only subscribed folders.
5. server type smtp; host: otherhost
6. make this my default account
7. america/los angeles
8. "Please wait...Scanning for existing setups". Click "Finish"
9. Get dialog
"Could not get inbox for new mail store; You didn't enter a password. No 
shortcut will be created." 
10. Click OK.

Actual Results:
Does not get mail.  Pops up funny dialog box.  Sometimes it crashes; sometimes 
it goes on but doesn't ever get mail.

Expected Results:
Gets mail.  Does not pop up funny dialog box.

Additional Information:

Comment 1 Leigh L. Klotz, Jr. 2002-04-10 01:09:53 UTC
OK, so I read http://www.fastmail.fm/docs/imap/imap-evolutionlinux.html
and it says to ignore the problems, restart evolution, type Control G, look for 
your imap host there, and then select Inbox.  That works.  But I still get the 
dreadful startup behavior dialog box the first time.


Comment 2 Jeremy Katz 2002-04-10 02:19:17 UTC
This is already reported upstream, just don't remember the Ximian bug id off the
top of my head

Comment 3 Jeremy Katz 2003-02-10 02:37:37 UTC
This is better in 1.2.x currently in rawhide


Note You need to log in before you can comment on or make changes to this bug.